/* ----------------------------------------------------------------
	Custom CSS

	Add all your Custom Styled CSS here for New Styles or
	Overwriting Default Theme Styles for Better Handling Updates
-----------------------------------------------------------------*/
	:root {
		--cnvs-themecolor: #00a1b4;
	}

	/*選單字放大*/
	#header{
		--cnvs-primary-menu-font-size: 1.0rem ;
	}


	/*動畫文字框設定*/
	#widget-subscribe-form {
		display: block;
		padding: 40px;
		background-color: #FFF;
		border: 1px solid #EEE;
		border-radius: 3px;
		box-shadow: 0 0 30px 4px rgba(0, 0, 0, 0.15);
		transition: box-shadow .4s linear;
		margin: 0 auto; /* 讓容器水平置中 */
	}

	.slider-title h1 {
		display: inline-block;
		font-size: 44px;
		font-weight: 900;
		/*color: var(--cnvs-contrast-500);*/
	}


	.color {
		color: var(--cnvs-themecolor) !important;
	}




	/* Safari and Chrome*/
	@-webkit-keyframes rotating   {
		from {
			-webkit-transform: rotate(0deg);
			-o-transform: rotate(0deg);
			transform: rotate(0deg);
		}
		to {
			-webkit-transform: rotate(360deg);
			-o-transform: rotate(360deg);
			transform: rotate(360deg);
		}
	}
	  @keyframes rotating {
		from {
			-ms-transform: rotate(0deg);
			-moz-transform: rotate(0deg);
			-webkit-transform: rotate(0deg);
			-o-transform: rotate(0deg);
			transform: rotate(0deg);
		}
		to {
			-ms-transform: rotate(360deg);
			-moz-transform: rotate(360deg);
			-webkit-transform: rotate(360deg);
			-o-transform: rotate(360deg);
			transform: rotate(360deg);
		}
	}

	.rotating {
		-webkit-animation: rotating 20s linear infinite;
		-moz-animation: rotating 20s linear infinite;
		-ms-animation: rotating 20s linear infinite;
		-o-animation: rotating 20s linear infinite;
		animation: rotating 20s linear infinite;
	}

	.circular-text {
		display: inline-flex;
		width: 210px;
		height: 210px;
		border-radius: 50%;
		align-items: center;
		justify-content: center;
	}

	/*主要功能設定*/
	/*縮短網址框設定*/
	.subscribe-widget2 {
		display: block;
		padding: 20px;
		background-color: #FFF;
		border: 1px solid #EEE;
		border-radius: 3px;
		box-shadow: 0 0 30px 4px rgba(0, 0, 0, 0.15);
		transition: box-shadow .4s linear;
		margin: 0 auto; /* 讓容器水平置中 */
	}

	.nav-tabs {
		--bs-nav-tabs-border-width: 0px;
	}


	#demo-interior-tab.nav-tabs {
		nav-tabs-border-width: 0px;
		nav-link-color: #111;
		nav-link-hover-color: var(--cnvs-themecolor);
		--bs-nav-tabs-link-active-bg: rgba(255,255,255,0.00) !important ;
	}

	#demo-interior-tab.nav-tabs .nav-item .nav-link.active {
		top: 0;
	}

	#demo-interior-tab.nav-tabs .nav-item .nav-link {
		position: relative;
		font-size: 15px;
		font-weight: 400;
		padding: 0 0 20px 0;
		color: #111;
	}

	#demo-interior-tab.nav-tabs .nav-item .nav-link:hover {
		position: relative;
		font-size: 15px;
		font-weight: 400;
		padding: 0 0 20px 0;
		color: var(--cnvs-themecolor);
	}

	#demo-interior-tab.nav-tabs .nav-item .nav-link.active i {
		color: var(--cnvs-themecolor);
	}

	#demo-interior-tab.nav-tabs .nav-item .nav-link i {
		display: block;
		font-size: 38px;
		margin: 0 0 10px 0;
		color: var(--cnvs-themecolor);
	}

	#demo-interior-tab.nav-tabs .nav-item .nav-link.active::after {
		content: '';
		position: absolute;
		width: 6px;
		height: 6px;
		bottom: 0;
		left: 50%;
		margin-left: -3px;
		border-radius: 50%;
		background: var(--cnvs-themecolor);
	}

	/*選擇檔案框微調*/
	.file-caption .input-group {
		align-items: normal;
	}

	/*登入前背景*/
	.log {
		background-image: url("../images/b1.jpg");
		background-repeat: no-repeat;
		background-attachment: fixed;
		background-position: center;
		background-size: cover; 
	}
	
	.ptop {
		padding-top: 102px;

	}

	@media (max-width: 992px) {
		.register-btn {
			float: none !important;
			display: block;
			margin: 10px auto;
			text-align: center;
		  }	
		
	}

	@media (max-width: 768px) {
		input::placeholder {
		  font-size: 0.8em; /* 設定為父元素的 80% */
		}
		
		.text-size-md {
			font-size:1.1rem !important; 
		}
		
		.text-size-sm {
			font-size:0.8rem !important; 
		}
		
	}


	/*手機版長網址不會超出格子（overflow）*/
	@media (max-width: 576px) {
		.t-rotate {
			overflow-wrap: anywhere;
			word-break: break-all;
		}
		
		.mbv {
			text-align: center;
		}
		
		.iconlist li {
			display: block;
		}
		
		
	}








